# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:		bctoolbox
Version:	0.6.0
Release:	1%{?dist}
Summary:	Utility library used by Belledonne Communications software

License:	GPL2
URL:		https://gitlab.linphone.org/BC/public/%{name}/blob/master/README.md
Source0:	https://gitlab.linphone.org/BC/public/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
# Fix compiler warnings
Patch0:		bctoolbox.warn.patch

BuildRequires:	cmake gcc gcc-c++ mbedtls-devel bcunit-devel
#Requires:	

%description
A library of common utility functions used by Belledonne Communications
softwares like belle-sip, mediastreamer2 and linphone.

%package devel
Summary:       Development libraries for bctoolbox
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description    devel
Libraries and headers required to develop software with bctoolbox.

%prep
%setup -q
%patch0 -b .warn

%build
%cmake
#make %{?_smp_mflags}

%install
%make_install

%files
%doc	README.md AUTHORS NEWS ChangeLog
%license COPYING
/usr/lib/debug%{_libdir}/*
%{_libdir}/lib%{name}*.so.*
%{_datarootdir}/%{name}

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so
%{_libdir}/lib%{name}*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-tester.pc

%changelog
* Sat Jun  1 2019 Stuart Gathman <stuart@gathman.org> - 0.6.0-1
- Initial RPM
